"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.authString = exports.contentHash = void 0;
const utf8_1 = __importDefault(require("utf8"));
const crypto_1 = __importDefault(require("crypto"));
exports.contentHash = (content) => {
    return crypto_1.default
        .createHash('sha1')
        .update(content, 'utf8')
        .digest('base64');
};
exports.authString = ({ license, apiPassword, httpMethod, resource, content, timestamp }) => {
    const time = timestamp ? timestamp : Math.floor(new Date().getTime() / 1000);
    const requestString = `${httpMethod}\n${resource}\n${time}\n${exports.contentHash(content)}`;
    const token = crypto_1.default
        .createHmac('sha1', utf8_1.default.encode(apiPassword))
        .update(utf8_1.default.encode(requestString))
        .digest('base64');
    return `AD ${license}:${time}:${token}`;
};
//# sourceMappingURL=auth.js.map