"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makePostRequest = exports.makePatchRequest = exports.makeGetRequest = void 0;
const node_fetch_1 = __importDefault(require("node-fetch"));
exports.makeGetRequest = (resource, authString, { hostname, port } = { hostname: 'v1.api.anydesk.com', port: 8081 }) => {
    return node_fetch_1.default(`https://${hostname}:${port}${resource}`, {
        headers: {
            Authorization: authString
        }
    }).then((response) => {
        return response.json();
    });
};
exports.makePatchRequest = (resource, content, authString, { hostname, port } = { hostname: 'v1.api.anydesk.com', port: 8081 }) => {
    return node_fetch_1.default(`https://${hostname}:${port}${resource}`, {
        headers: {
            Authorization: authString,
            'Content-Type': 'application/json'
        },
        method: 'PATCH',
        body: content
    }).then(() => {
        return true;
    });
};
exports.makePostRequest = (resource, content, authString, { hostname, port } = { hostname: 'v1.api.anydesk.com', port: 8081 }) => {
    return node_fetch_1.default(`https://${hostname}:${port}${resource}`, {
        headers: {
            Authorization: authString,
            'Content-Type': 'application/json'
        },
        method: 'POST',
        body: content
    }).then(() => {
        return true;
    });
};
//# sourceMappingURL=utils.js.map